/*----------------------------------- Root -----------------------------------*/

:root {
  --bg-color: #1f2335;
  --bg-color-lighter: #24283b;
  --fg-color: #9aa5ce;
  --border-color: #3b4261;
  --orange: #ff9e64;
  --blue: #7aa2f7;
  --black: #414868;
  --red: #f7768e;
  --purple: #9d7cd8;
  --green: #9ece6a;
  --white: #c0caf5;
  --cyan: #89ddff;
  --comment: #565f89;
  --highlight: #373d5a;
  --filter-orange: invert(81%) sepia(17%) saturate(3526%) hue-rotate(315deg) brightness(103%) contrast(104%);
  --filter-green: invert(81%) sepia(27%) saturate(678%) hue-rotate(42deg) brightness(91%) contrast(90%);
  font-size: 18px;
}

/*------------------------------- Default Tags -------------------------------*/

body {
  font-family: 'JetBrains Mono', monospace;
  font-weight: 500;
  font-optical-sizing: auto;
  padding-top: 1%;
  background-color: var(--bg-color);
  color: var(--fg-color);
  font-size: 0.85rem;
}

p {
  margin-top: 0;
  margin-bottom: 0;
  line-height: 1.4;
}

a {
  text-decoration: none;
}

h1 {
  font-size: 1.2rem;
  color: var(--comment);
}

/*-------------------------------- Containers --------------------------------*/

.container {
  margin-top: 14px;
  margin-bottom: 14px;
  width: 85% !important;
}

@media (min-width: 600px) {
  .container {
    margin-top: 0;
    margin-bottom: 0;
    width: 50% !important;
  }
}

.row {
  border: 1px solid var(--border-color);
  border-radius: 5px;
}

.header-row {
  font-size: 1rem;
  background-color: var(--bg-color-lighter);
  border: 1px solid var(--border-color);
  padding: 10px 0px;
}

.heading-row {
  border-radius: 6px;
}

.body-row {
  background-color: var(--bg-color-lighter);
  border: 1px solid var(--border-color);
  padding: 14px;
  margin-top: 14px;
  margin-bottom: 14px;
}

.footer-row {
  position: fixed;
  /* left: 20vw; */
  bottom: 1vh;
  width: 50%;
  color: white;
  text-align: center;

  background-color: var(--bg-color-lighter);
  border: 1px solid var(--border-color);
  padding: 10px 0px 10px 0px;
}

/*------------------------------- Colored Text -------------------------------*/

.comment {
  color: var(--comment);
}

.white {
  color: var(--white);
}

.green {
  color: var(--green);
}

.purple {
  color: var(--purple);
}

.orange {
  color: var(--orange);
}

.white {
  color: var(--white);
}

.cyan {
  color: var(--cyan);
}

/*---------------------------------- Folding ---------------------------------*/

.folder-col {
  width: 20px;
  align-self: top;
}

.code-folder {
  cursor: pointer;
  height: 20px;
  width: 20px;
}

.foldable-text {
  padding-left: 2%;
}

.foldable {
  padding-left: 2%;
  text-align: left;
  display: none;
  transition: margin 0.2s ease-in-out;
}

.foldable.expanded {
  display: block;
}

/*----------------------------------- Links ----------------------------------*/

.link {
  margin-left: 4px;
  margin-right: 4px;
  transition: margin 0.2s ease-in-out;
  user-select: none;
  color: var(--fg-color);
  text-decoration: none;
}

.link.selected {
  color: var(--orange);
}

.link:hover {
  cursor: pointer;
  margin-top: -5px;
  color: var(--orange);
}

.link-inline {
  transition: margin 0.2s ease-in-out;
  user-select: none;
  color: var(--comment);
  text-decoration: none !important;
}

.link-inline:active {
  color: var(--orange);
}

.link-inline:hover {
  cursor: pointer;
  margin-top: -5px;
  color: var(--orange);
}

.social-link {
  margin-left: 8px;
  margin-right: 8px;
  transition: margin 0.2s ease-in-out;
  filter: var(--filter-green);
}

.social-link:hover {
  cursor: pointer;
  margin-top: -5px;
  filter: var(--filter-orange);
}

.repo-link {
  margin-left: 8px;
  margin-right: 8px;
  transition: margin 0.2s ease-in-out;
}

.repo-link:hover {
  margin-left: 8px;
  margin-right: 8px;
  transition: margin 0.2s ease-in-out;
  filter: var(--filter-orange);
}

.srht-link-icon {
  margin-left: 8px;
  margin-right: 8px;
  filter: var(--filter-green);
  display: flex;
}

.srht-link-icon:hover {
  filter: var(--filter-orange);
}

.srht-link {
  text-decoration: none;
  font-size: 14px;
  color: var(--comment);
  display: flex;
}

.srht-link:hover {
  cursor: pointer;
  color: var(--orange);
}